html, body {
  height: 100%;
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column; /* Stack header, main, and footer vertically */
}

body {
  font-family: Arial, sans-serif;
  line-height: 1.6;
  display: flex;
  flex-direction: column;
  flex-grow: 1; /* Allow body to grow and take remaining space */
}

header {
  background: #333;
  color: #fff;
  padding: 10px 0;
}

header h1 {
  text-align: center;
  margin: 0;
}

nav ul {
  display: flex;
  justify-content: center;
  list-style: none;
  padding: 0;
  margin: 0;
}

.tabs li {
  margin: 0 10px;
}

.tab {
  display: block;
  padding: 10px 20px;
  text-decoration: none;
  color: #fff;
  background-color: #444;
  border-radius: 5px;
  transition: background-color 0.3s ease;
  text-align: center;
  font-weight: bold;
}

.tab:hover {
  background-color: #666;
}

main {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20px;
  flex: 1; /* Allow main content to take up remaining space */
}

.intro {
  display: flex;
  align-items: center;
  justify-content: space-between;
  max-width: 1200px;
  margin-bottom: 30px;
  margin-top: 30px;
  width: 100%;
}

.intro-text {
  flex: 1;
  margin-right: 20px;
}

.intro h2 {
  font-size: 2em;
  margin: 10px 0;
}

.intro p {
  font-size: 1.05em;
  margin: 15px 0;
  line-height: 1.3;
}

.profile-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    flex: 1;
}

.profile-image {
  flex: 1;
  margin-bottom: 20px;
  display: flex;
  justify-content: flex-end;
}

.profile-pic {
  max-width: 200px;
  border-radius: 50%;
  border: 3px solid #0073e6;
}

.contact {
  width: 100%;
  margin-top: 20px;
}

.contact-links {
  display: flex;
  justify-content: center; /* Center the icons horizontally */
  align-items: center;
  gap: 20px; /* Add space between icons */
}

.contact-icon {
  font-size: 1.9em; /* Size of icons */
  color: #0073e6; /* Icon color */
  text-decoration: none;
  transition: color 0.3s ease;
}

.contact-icon:hover {
  color: #005bb5; /* Darker blue on hover */
}

.contact-email {
  font-size: 1.2em;
  color: #0073e6;
  text-decoration: none;
  transition: color 0.3s ease;
}

.contact-email:hover {
  color: #005bb5; /* Darker blue on hover */
}

footer {
  margin-top: auto; /* Ensures the footer is pushed to the bottom */
  text-align: center;
  padding: 10px;
  background: #333;
  color: #fff;
}

.publication-list {
  list-style-type: none;
}

.publication-item {
  margin-bottom: 20px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: flex-start; 
}

.publication-item::before {
  content: "[" counter(publication-counter) "]";
  counter-increment: publication-counter;
  font-weight: normal;
}

.publication-details {
  max-width: 85%;
}

.publication-status {
  font-style: italic;
  text-align: right; 
  margin-left: 20px; 
  margin-right: 40px; 
  min-width: 100px; 
}

.publication-list {
  padding-left : 50px;
  counter-reset: publication-counter;
}

#projects-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  padding: 20px;
}

.project {
  border: 1px solid #ddd;
  border-radius: 8px;
  padding: 20px;
  width: 80%;
  max-width: 800px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  background-color: #fff;
  text-align: left;
  position: relative;
}

.project h2 {
  margin: 0 0 10px;
  font-size: 1.5em;
  color: #333;
}

.project p {
  margin: 0 0 15px;
  font-size: 1.1em;
  color: #555;
  line-height: 1.5;
}

.project .status {
  position: absolute;
  top: 15px;
  right: 15px;
  padding: 5px 10px;
  border-radius: 15px;
  font-size: 0.9em;
  color: #fff;
  background-color: #ddd;
}

.project .status.ongoing {
  background-color: #28a745; /* Green for ongoing projects */
}

.project-image {
  max-width: 100%;
  border-radius: 8px;
  margin: 10px 0;
}
